# Gmagick::motionblurimage

(PECL gmagick >= Unknown)

Gmagick::motionblurimage — Simulates motion blur

### Description

public Gmagick::motionblurimage ( float `$radius` , float `$sigma` , float `$angle` ) : Gmagick

Simulates motion blur. We convolve the image with a Gaussian operator of the given radius and standard deviation (sigma). For reasonable results, radius should be larger than sigma. Use a radius of 0 and MotionBlurImage() selects a suitable radius for you. Angle gives the angle of the blurring motion.

### Parameters

`radius`

  The radius of the Gaussian, in pixels, not counting the center pixel.

`sigma`

  The standard deviation of the Gaussian, in pixels.

`angle`

  Apply the effect along this angle.

### Return Values

The Gmagick object on success

### Errors/Exceptions

Throws an GmagickException on error.